Subject: bug#74461: [PATCH] Add go-work-ts-mode

From: Randy Taylor <[email-masked]>
Date: Sun, 01 Dec 2024 20:42:55 +0000

On Saturday, November 30th, 2024 at 06:24, Gabriel Santos <[email-masked]> wrote:
> > The only comment I have is that for the commit log message:
> 
> > > * lisp/progmodes/go-ts-mode: Add go-work-ts-mode for working with
> > > workspace files.
> > > * lisp/progmodes/go-ts-mode: Add the repositories for the grammars to
> > > the commentary section.
> > > * lisp/progmodes/go-ts-mode (go-mod-ts-mode--in-directive-p): Be more
> > > specific on the directive location.
> > 
> > These should mention the file name only once, and they all should
> > mention the names of functions/variables where the changes were made.
> > For new functions, just list them and say "New functions."
> > 
> > Also, the lines in the log message are too long: they should
> > preferably be at most 64 columns, and never more than 70.
> 
> 
> Thanks, got it, I broke down some of the lines,
> longest one is at 54 columns.
> Both vc and Magit have functions for adding logs to commits,
> really useful:
> 
> - log-edit-generate-changelog-from-diff
> - magit-commit-add-log
> 
> > How is your copyright assignment paperwork going? I don't think I saw
> > any responses from the FSF copyright clerk; if more than 2 weeks have
> > passed since you emailed the assignment form, please ping them and CC
> > me.
> 
> 
> It has been a week since my first e-mail,
> and five days since the second one.
> I'll add a agenda entry for this to ping and CC you at 2024-12-09
> (2 weeks and 2 days since the first e-mail).
> 
> > Thanks.
> 
> 
> My pleasure, wouldn't be able to contribute to this great software
> without all of the previous work of you and other maintainers and
> contributors.

Thanks for working on this! The patch looks good to me.